﻿#pragma once
#include "GLUtils/GLFW-GLAD.h"

namespace Disarray::System::InputSystem
{
	enum class FR_FR_KeyboardMapping : int
	{
		/* Printable keys */
		// Apostrophe = GLFW_KEY_APOSTROPHE,
		// Comma = GLFW_KEY_COMMA,
		// Minus = GLFW_KEY_MINUS,
		// Period = GLFW_KEY_PERIOD,
		// Slash = GLFW_KEY_SLASH,
		// _0 = GLFW_KEY_0,
		// _1 = GLFW_KEY_1,
		// _2 = GLFW_KEY_2,
		// _3 = GLFW_KEY_3,
		// _4 = GLFW_KEY_4,
		// _5 = GLFW_KEY_5,
		// _6 = GLFW_KEY_6,
		// _7 = GLFW_KEY_7,
		// _8 = GLFW_KEY_8,
		// _9 = GLFW_KEY_9,
		// Semicolon = GLFW_KEY_SEMICOLON,
		// Equal = GLFW_KEY_EQUAL,
		A = GLFW_KEY_Q,
		B = GLFW_KEY_B,
		C = GLFW_KEY_C,
		D = GLFW_KEY_D,
		E = GLFW_KEY_E,
		F = GLFW_KEY_F,
		G = GLFW_KEY_G,
		H = GLFW_KEY_H,
		I = GLFW_KEY_I,
		J = GLFW_KEY_J,
		K = GLFW_KEY_K,
		L = GLFW_KEY_L,
		M = GLFW_KEY_COMMA,
		N = GLFW_KEY_N,
		O = GLFW_KEY_O,
		P = GLFW_KEY_P,
		Q = GLFW_KEY_A,
		R = GLFW_KEY_R,
		S = GLFW_KEY_S,
		T = GLFW_KEY_T,
		U = GLFW_KEY_U,
		V = GLFW_KEY_V,
		W = GLFW_KEY_Z,
		X = GLFW_KEY_X,
		Y = GLFW_KEY_Y,
		Z = GLFW_KEY_W,
		// Left_Bracket = GLFW_KEY_LEFT_BRACKET,
		// Right_Bracket = GLFW_KEY_RIGHT_BRACKET,
		// Grave_Accent = GLFW_KEY_GRAVE_ACCENT,
		// World_1 = GLFW_KEY_WORLD_1,
		// World_2 = GLFW_KEY_WORLD_2,
	};
}
